using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication68
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            double d = 0;
            double maxd = -1;
            for (int i = 0; i < n; i++)
            {
                double x = p[i];
                for (int j = 0; j < n; j++)
                {
                    if(p[j]>=x)
                    {
                        d += a[j] * x / 100;
                    }
                }
                if (d > maxd) maxd = d;
                d = 0;
            }
            Console.WriteLine(maxd.ToString("0.0000"));
            Console.ReadKey();
        }
    }
}